petsc-3.4.2 2013-07-02

# DMPlexCreateRigidBody

create rigid body modes from coordinates

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateRigidBody(DM dm, PetscSection section, PetscSection globalSection, MatNullSpace *sp)

Collective on DM

### Input Arguments

| dm | - the DM
| section | - the local section associated with the rigid field, or NULL for the default section
| globalSection | - the global section associated with the rigid field, or NULL for the default section

### Output Argument

sp -the null space

Note: This is necessary to take account of Dirichlet conditions on the displacements

### See Also

MatNullSpaceCreate()

Level:advanced
Location:src/dm/impls/plex/plexfem.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages